{% extends "base.html" %}
{% import 'translations.html' as translations with context %}
{% block title %}{{ page.title|capitalize }}{% endblock %}
{% block description %}{% endblock %}

{% block seo %}
<meta property="og:title" content="{{ page.title|capitalize }}" />
<meta property="og:type" content="website" />
<meta property="og:url" content="{{ SITEURL }}/{{ page.url }}" />
<meta name="twitter:url" content="{{ SITEURL }}/{{ page.url }}" />
<meta itemprop="url" content="{{ SITEURL }}/{{ page.url }}"/>
{% if page.image %}
<meta property="og:image" content="{{ page.image }}" />
<meta name="twitter:image" content="{{ page.image }}" />
<meta itemprop="image" content="{{ page.image }}">
{% elif META_IMAGE %}
<meta property="og:image" content="{{ META_IMAGE }}" />
<meta property="og:image:type" content="{{ META_IMAGE_TYPE }}" />
<meta name="twitter:image" content="{{ META_IMAGE }}" />
<meta itemprop="image" content="{{ SITEURL }}/{{ META_IMAGE }}"/>
{% endif %}
{% if page.summary %}
<meta property="og:description" content="{{ page.summary|striptags }}" />
<meta name="twitter:description" content="{{ page.summary|striptags }}" />
<meta itemprop="description" content="{{ page.summary|striptags }}"/>
{% endif %}
{% endblock %}

{% block content %}
<div class="uk-width-medium-7-10 no-margin">
	<h1 class="mp-article-title" itemprop="name">
		<a href="/{{page.url}}">{{ page.title }}</a></h1>
	<p class="uk-article-meta">lang.: {{ translations.translations_for(page) }} </p>
    {% block page_content %}
    {% endblock %}

    {{ page.content }}
</div>
{% endblock %}
